Bug 20780 - EDI: Add support for 'AcqItemSetSubfieldsWhenReceived'
Summary: EDI: Add support for 'AcqItemSetSubfieldsWhenReceived'
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P4 normal with 10 votes (vote)
Assignee: Martin Renvoize
QA Contact: Colin Campbell
URL:
Keywords:
Depends on: 22348
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-18 13:50 UTC by Martin Renvoize
Modified: 2019-11-27 11:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
EDIFACT receipting of items should now respect the `AcqItemSetSubfieldsWhenReceived` system preference
Version(s) released in:
19.11.00


Attachments
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI (1.98 KB, patch)
2018-05-18 15:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI (2.39 KB, patch)
2018-05-18 16:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI (2.39 KB, patch)
2018-10-31 14:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20780: (follow-up) Use Koha::Object (1007 bytes, patch)
2018-10-31 14:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI (2.46 KB, patch)
2019-10-04 07:54 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 20780: (follow-up) Use Koha::Object (1.05 KB, patch)
2019-10-04 07:54 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 20780: Add handling for AcqItemSetSubfieldsWhenRecieved in EDI (2.51 KB, patch)
2019-10-10 05:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20780: (follow-up) Use Koha::Object (1.10 KB, patch)
2019-10-10 05:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-05-18 13:50:16 UTC
EDI, as it stands, does not respect the AcqItemSetSubfieldsWhenRecieved system preference.. it should ;)
Comment 1 Martin Renvoize 2018-05-18 15:57:17 UTC
Created attachment 75439 [details] [review]
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI
Comment 2 Martin Renvoize 2018-05-18 16:34:18 UTC
Created attachment 75440 [details] [review]
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI
Comment 3 Jonathan Druart 2018-10-17 18:19:19 UTC
* + $schema->resultset('Aqorder') [...]

=> We have Koha::Acquisition::Order

* Tests?
Comment 4 Martin Renvoize 2018-10-31 14:44:47 UTC
Created attachment 81730 [details] [review]
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI
Comment 5 Martin Renvoize 2018-10-31 14:44:51 UTC
Created attachment 81731 [details] [review]
Bug 20780: (follow-up) Use Koha::Object
Comment 6 Martin Renvoize 2018-10-31 14:45:52 UTC
Moved to Koha::Object (reason for not doing so before was consistency.. the rest of Koha::EDI uses dbic directly)

No tests.. yup.. because it would entail writing tests for all of Koha::EDI which currently don't exist.
Comment 7 Brendan Gallagher 2019-10-04 07:54:19 UTC
Created attachment 93672 [details] [review]
Bug 20780 - Add handling for AcqItemSetSubfieldsWhenRecieved in EDI

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 8 Brendan Gallagher 2019-10-04 07:54:32 UTC
Created attachment 93673 [details] [review]
Bug 20780: (follow-up) Use Koha::Object

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 9 Katrin Fischer 2019-10-10 05:55:44 UTC
Created attachment 93946 [details] [review]
Bug 20780: Add handling for AcqItemSetSubfieldsWhenRecieved in EDI

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2019-10-10 05:55:47 UTC
Created attachment 93947 [details] [review]
Bug 20780: (follow-up) Use Koha::Object

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2019-10-10 05:56:06 UTC
Passing QA on this as agreed with RM - both parties heavily using EDIFACT have
been involved in the QA process. Tests and QA script pass.
Comment 12 Martin Renvoize 2019-10-10 07:25:01 UTC
Nice work!

Pushed to master for 19.11.00